---
search:
  tags:
    - Themes
    - PUT
seo:
  description: >-
    Updates the settings object for a theme. Requires admin scope. Reference for
    the PUT /themes/{id} endpoint in the Bolder API v1.
sidebar:
  label: Update theme settings
  badge: PUT
title: Update theme settings
type: openapi-operation
---
Updates the settings object for a theme. Requires `admin` scope.

`PUT /themes/{id}`

**Request body** (`application/json`, required)

- `settings` (object) — Theme settings key/value pairs (theme-specific)

Request body example:

```json
{
  "settings": {}
}
```

**Responses**

- `200` — Theme updated

Response example, 200:

```json
{
  "id": "string",
  "title": "string",
  "production": true,
  "settings": {},
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {},
  "_embedded": {
    "templates": [
      {
        "id": "string",
        "file_name": "string",
        "name": "string",
        "content_type": "html",
        "body": "string",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {}
      }
    ],
    "assets": [
      {
        "id": "string",
        "file_name": "string",
        "content_type": "string",
        "file_size": 0,
        "digest": "string",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {
          "file": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          }
        }
      }
    ]
  }
}
```
